=== debian/changelog ===
facile (1.1-9build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 12:10:26 +0000

facile (1.1-9) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Fix compilation with OCaml 4.01.0 (Closes: #731218)
  * Remove myself from Uploaders
  * Update Vcs-*

  [ Mehdi Dogguy ]
  * Remove myself from Uploaders.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 07 Dec 2013 09:26:26 +0100

facile (1.1-8) unstable; urgency=low

  * debian/control:
    - update Vcs-* to point to git repository
    - remove duplicate section field
    - add suggestion to ocaml-findlib
    - bump Standards-Version to 3.9.2 (no changes)
  * Switch source package format to 3.0 (quilt)
  * Bump debhelper compat level to 8

 -- Stéphane Glondu <glondu@debian.org>  Wed, 17 Aug 2011 21:49:35 +0200

facile (1.1-7) unstable; urgency=low

  [ Stéphane Glondu ]
  * Acknowledge non-maintainer uploads
  * Switch packaging to git
  * Remove Steffen and add myself to Uploaders
  * Bump debhelper compatibility level to 7
  * Remove versioned dependencies available in oldstable
  * Switch copyright to machine-parsable format
  * Add Homepage
  * Move to new ocaml section
  * Fix typography of Objective Caml in description

  [ Mehdi Dogguy ]
  * Add myself to uploaders
  * Build-depend on ocaml (>= 3.11.1-3~) and dh-ocaml (>= 0.9~)
  * Use new features of dh-ocaml 0.9
  * Bump Standards-Version to 3.8.3
    + add a README.source
  * Move libfacile-ocaml-dev to section ocaml
  * Add a META for libfacile-ocaml-dev (Closes: #443005)

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 06 Oct 2009 13:22:47 +0200

facile (1.1-6.3) unstable; urgency=low

  * Call clean in examples/ manually as upstream's Makefile wont and cdbs
    doesn't keep the patches applied when cleaning.
  * Fix ocamlopt usage; closes: #501672.
    - New dpatch, 30-non-opt-check, ocamlopt isn't available on all arches;
      don't use it for make check.
    - New patch, 40-allow-ocamlc-override-in-examples, allow overriding OCAMLC
      in examples by using separate _INVOKE vars to run misc commands.

 -- Loic Minier <lool@dooz.org>  Thu, 09 Oct 2008 15:20:00 +0200

facile (1.1-6.2) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Loic Minier ]
  * Non-maintainer upload to fix misc packaging bugs; closes: #500830.
  * Only compute OCAML_ABI once by using := instead of =.
  * Don't overwrite DEB_DH_GENCONTROL_ARGS and use -u instead of -- to pass
    args to dpkg-gencontrol in a safer manner.
  * Include dpatch.mk instead of calling dpatch manually; NB: this will cause
    the patches to be applied before running configure which is more useful,
    but doesn't change anything with the current patches; bump up cdbs bdep to
    >= 0.4.21.
  * Use the makefile.mk cdbs class instead of the autotools one.
    - Move the configure flag to a new custom common-configure-impl /
      config_Makefile rule.
    - Drop --disable-maintainer-mode exclusion hack.
    - Don't call make clean in clean; cdbs does that for us.
    - Set DEB_MAKE_INSTALL_TARGET to install.
  * Drop redundant setting of FACILEDIR with the echo >config_Makefile
    construct; the configure flag works fine.
  * Replace debian/libfacile-ocaml-dev.dirs.in template and logic with
    DEB_INSTALL_DIRS_ALL; fixes lack of cleanup of
    debian/libfacile-ocaml-dev.dirs.
  * Set OCAMLC OCAMLMLI via DEB_MAKE_INVOKE instead of DEB_MAKE_BUILD_TARGET;
    this sets the same environment for all make runs.
  * Add year 2004 to copyright.
  * Point at common-licenses for the full text of the LGPL and include the
    full licensing header.
  * Depend on ${misc:Depends} as recommended in debhelper 5.
  * Set DEB_MAKE_CHECK_TARGET to check to run the testsuite during package
    build.
  * Use Vcs-* headers instead of XS-Vcs-*.
  * Bump up Standards-Version to 3.8.0.
  * Provide examples/*.ml and examples/*.dat as examples; closes: #446804.

 -- Loic Minier <lool@dooz.org>  Thu, 02 Oct 2008 12:37:48 +0200

facile (1.1-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuilding against ocaml 3.10 (closes: #442997)

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 18 Sep 2007 09:34:40 +0200

facile (1.1-6) unstable; urgency=low

  * Bump debhelper level to 5
  * Change my maintainer address

 -- Steffen Joeris <white@debian.org>  Wed,  3 Jan 2007 22:16:17 +0100

facile (1.1-5) unstable; urgency=low

  * Rebuild with OCaml 3.09.2
  * Bump standard version to 3.7.2
  * Remove control.in as we no longer have a need for that

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Wed, 17 May 2006 22:55:21 +0200

facile (1.1-4) unstable; urgency=low

  * Make sure that the *.mli files are installed before
    the *.cmi files (Closes: #352008)

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Thu,  9 Feb 2006 12:52:11 +0100

facile (1.1-3) unstable; urgency=low

  * Rebuild with OCaml 3.09.1
  * Add control.in which is only called manually 
    with a special rule and not during the build

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Sun,  8 Jan 2006 18:51:12 +0100

facile (1.1-2) unstable; urgency=low

  * Adapt patch to upstream Makefile to not try to build the native library
    when ocamlopt isn't available (Closes: #340305).
    Thanks to Julien Cristau

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Tue, 22 Nov 2005 19:18:05 +0100

facile (1.1-1) unstable; urgency=low

  * Initial release (Closes: #336852)

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Sun, 30 Oct 2005 00:41:20 +0200
