=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/ocaml.mk

FACILEDIR := $(shell ocamlc -where)/facile
VERSION := $(shell head -n1 debian/changelog | awk -F'[ ()-]+' '{print $$2}')
DEB_INSTALL_DIRS_ALL += $(FACILEDIR)
DEB_MAKE_INVOKE += OCAMLC="ocamlc -g" OCAMLMLI=ocamlc
DEB_MAKE_INSTALL_TARGET := install
DEB_MAKE_CHECK_TARGET := check

common-configure-arch common-configure-indep:: common-configure-impl
common-configure-impl:: config_Makefile
config_Makefile:
	./configure --faciledir debian/libfacile-ocaml-dev/$(FACILEDIR)
	sed 's/@VERSION@/$(VERSION)/' debian/META.in > $(CURDIR)/META

clean::
	rm -f META
	# not cleaned upstream
	rm -f config_Makefile
	$(DEB_MAKE_INVOKE) -k -C examples clean
