=== debian/watch ===
version=3
http://www.recherche.enac.fr/opti/facile/distrib/ \
        facile-([\d.]+).tar.gz
