=== src/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # $Id: Makefile,v 1.73 2004/09/01 12:33:49 barnier Exp $
 
-OCAMLC = ocamlc.opt -g
-OCAMLMLI = ocamlc.opt
+OCAMLC = ocamlc -g
+OCAMLMLI = ocamlc
 OCAMLOPT = ocamlopt -unsafe -noassert -inline 10
 OCAMLDEP = ocamldep
 INCLUDES =
