=== debian/changelog ===
facile (1.1.1-1build3) focal; urgency=medium

  * No change rebuild against new ocaml ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 20 Feb 2020 22:43:17 +0000

facile (1.1.1-1build2) bionic; urgency=high

  * No change rebuild against ocaml 4.05.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 26 Oct 2017 23:54:38 +0100

facile (1.1.1-1build1) artful; urgency=high

  * No change rebuild against ocaml 4.04 transition.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 26 Jun 2017 22:48:34 +0100

facile (1.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refresh patches
    - Remove 0005-Fix-compilation-with-OCaml-4.01.0.patch, integrated
      upstream.

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 17 Jan 2016 23:03:10 +0100
