## facile 1.1.3

=== debian/changelog ===
facile (1.1.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Vcs-* to point to salsa
  * Update debian/watch and Homepage
  * Bump debhelper compat level to 13 (and drop cdbs)
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Wed, 12 Aug 2020 07:20:53 +0200
