=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: facile
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Build-Depends:
- debhelper (>= 8),
- cdbs,
- ocaml-nox (>= 3.11.1-3~),
- dh-ocaml (>= 0.9~)
-Standards-Version: 3.9.2
+ debhelper-compat (= 13),
+ ocaml-nox,
+ dh-ocaml
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Section: ocaml
-Homepage: http://www.recherche.enac.fr/opti/facile/
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/facile.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/facile.git
+Homepage: http://facile.recherche.enac.fr/
+Vcs-Git: https://salsa.debian.org/ocaml-team/facile.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/facile
 
 Package: libfacile-ocaml-dev
 Architecture: any
