=== debian/watch ===
version=3
http://facile.recherche.enac.fr/distrib/ \
        facile-([\d.]+).tar.gz
