=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Build-Depends:
  debhelper-compat (= 13),
  ocaml-nox,
+ ocaml-dune,
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Section: ocaml
 Homepage: http://facile.recherche.enac.fr/
